ncsa.hdf.hdflib

## Class HDFJPEGCompInfo

- java.lang.Object
- - ncsa.hdf.hdflib.HDFCompInfo
  - - ncsa.hdf.hdflib.HDFOldCompInfo
    - - ncsa.hdf.hdflib.HDFJPEGCompInfo

    public class HDFJPEGCompInfo
    extends HDFOldCompInfo

This class is a container for the parameters to the HDF JPEG compression class.

In this case, the parameters are the quality and baseline.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

### Field Summary

Fields
`int` `force_baseline`
`int` `quality`

### Fields inherited from class ncsa.hdf.hdflib.HDFOldCompInfo

`ctype`

### Constructor Summary

Constructors
Constructor and Description
`HDFJPEGCompInfo()`
`HDFJPEGCompInfo(int qual, int fb)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### quality

    public int quality

#### force_baseline

    public int force_baseline

### Constructor Detail

#### HDFJPEGCompInfo

    public HDFJPEGCompInfo()

#### HDFJPEGCompInfo

    public HDFJPEGCompInfo(int qual,
                   int fb)